Page MenuHomePhabricator

[analyzer] [NFC] Simplify SVal::getAsLocSymbol function using existing functions
ClosedPublic

Authored by ASDenysPetrov on Oct 22 2020, 1:04 PM.

Details

Summary

Method of obtaining MemRegion from LocAsInteger/MemRegionVal already exists in SVal::getAsRegion function. Replace repetitive conditions in SVal::getAsLocSymbol with SVal::getAsRegion function.

Diff Detail

Event Timeline

ASDenysPetrov created this revision.Oct 22 2020, 1:04 PM
ASDenysPetrov requested review of this revision.Oct 22 2020, 1:04 PM
NoQ accepted this revision.Oct 23 2020, 10:31 AM

Looks correct, thanks!

This revision is now accepted and ready to land.Oct 23 2020, 10:31 AM
This revision was landed with ongoing or failed builds.Oct 26 2020, 8:00 AM
This revision was automatically updated to reflect the committed changes.